
QGIS Application - Bug report #7980

"Merge connected lines..." doesn't work well

2013-06-02 07:32 PM - Aren Cambre

Status: Rejected

Priority: Normal

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16837

Description

The two attached images show two versions of the same view. In one, Merge connected lines to avoid duplicate labels is checked.

In the other, it is not checked. Even when checked, there are still a whole lot of label needing merging.

History

#1 - 2013-06-02 07:42 PM - Aren Cambre

- File detailed_roads.png added

The plot thickens. The feature may technically be working as intended. See attached. Turns out I have way more in this map in addition to the road's

centerline! It's OK to close if someone else agrees with me.

#2 - 2013-06-03 12:24 AM - Giovanni Manghi

- Assignee set to Larry Shaffer

are you using the latest master?

#3 - 2013-06-03 06:17 AM - Aren Cambre

Title bar says commit:24bffbf.

#4 - 2013-06-03 10:36 AM - Larry Shaffer

Hi Aren,

So have you been able to verify if it is a bug or not?

Generally, if that function appears to not work right, it may be because adjacent to-be-merged lines do not actually share a point. Not sure if that is exactly

how the underlying merge function works, but I don't think it adds to any geometry to fill gaps, i.e. more labels would show up.

#5 - 2013-06-03 10:51 AM - Aren Cambre

Per the attached file detailed_roads.png, there are in fact multiple parallel-ish lines with the same label (mainlanes, access roads, ramps, etc. of a

freeway).
What I wanted was for all of these parallelish lines' labels to be merged, too. I think I was expecting functionality that would actually be a feature request,

not a problem with the current feature.

#6 - 2013-06-03 11:14 AM - Larry Shaffer

- Status changed from Open to Rejected

I'm not sure such functionality (merging of lines that lie within a specific distance of one another) will ever be implemented as a labeling option.

Seems like some preprocessing of your data with another utility first might be in order, or limiting labeling to just one feature class or feature attribute by

using 'Show label' and setting a data defined field or expression. Using a field with 'Show label' allows you to use the Show/hide label' map canvas tool as

well (not active with a defined expression) for manually showing/hiding labels (see the tool's tool tip).

I am setting the issue to 'rejected' because that's the only relevant option. Please reopen if you notice a bug with that merge function.

Files

merge_connected_lines.png 399 KB 2013-06-02 Aren Cambre

no_merge_connected_lines.png 444 KB 2013-06-02 Aren Cambre

detailed_roads.png 114 KB 2013-06-02 Aren Cambre
